.key-facts {
    background: #fff;
    border-radius: 12px;
    margin: 40px 0px;
}

.key-facts-content {
    padding: 24px 32px;
    display: grid;
    grid-template-columns: repeat(4, auto);
    grid-template-rows: repeat(2, auto);
    grid-auto-flow: column;

    > div {
        display: contents;
    }

    p {
        margin: 0;
        &:first-child {
            border-bottom: 1px solid #333333;
            padding-bottom: 4px;
            margin-bottom: 4px;
        }
    }

    > div:not(:last-child) {
        p { padding-right: 16px; }
    }

    > div:last-child p { text-align: right; }

    @media screen and (max-width: 1240px) {
        grid-template-rows: auto;
        grid-template-columns: 1fr;
        grid-auto-flow: row;
        gap: 4px;
        > div {
            grid-template-columns: repeat(2, 1fr);
            grid-template-rows: 1fr;
            display: grid;
            gap: 16px;
            border-bottom: 1px solid #333333;
            padding-bottom: 4px;
            > p {
                padding: 0 !important;
                margin: 0 !important;
                border: none !important;
            }
        }
        > div:last-child p { text-align: left; }
    }


}